Subject: Re: [Pals] Alvaro Retana's No Objection on draft-ietf-pals-ethernet-cw-06: (with COMMENT)

From: Stewart Bryant <[email-masked]>
Date: Mon, 2 Jul 2018 11:35:00 +0100

On 18/06/2018 21:38, Alvaro Retana wrote:
> Alvaro Retana has entered the following ballot position for
> draft-ietf-pals-ethernet-cw-06: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-pals-ethernet-cw/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> The title of the document is "Use of Ethernet Control Word RECOMMENDED", which
> hints at the corresponding rfc2119 keyword:
>
>     3. SHOULD   This word, or the adjective "RECOMMENDED", mean that there
>        may exist valid reasons in particular circumstances to ignore a
>        particular item, but the full implications must be understood and
>        carefully weighed before choosing a different course.
>
> That seems to be in line with the description in the Introduction: "This
> document recommends the use of the Ethernet pseudowire control word in all but
> exceptional circumstances."
>
> However, the qualified recommendation is that if "both the ingress PE and the
> egress PE support the Ethernet pseudowire control word, then the CW MUST be
> used".  What are the "exceptional circumstances"?  Should that "MUST" be a
> "SHOULD"?  Should the use be further qualified?
>
> This comment is not a showstopper, just a minor misalignment.
>
Hi Alvaro

One exceptional circumstance that I have heard is that the network is so 
bandwidth
constrained that the extra four bytes are a problem. I think this may 
occur with
some satellite/radio links, but I am not sure whether this continues to 
be the case.

I think that this is a case where ambiguity may be stronger than 
proscriptivity.

- Stewart